package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

public class Income {

    public Income() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "年月")
    private String yearAndMonth;
    @JSONField(name = "单元号")
    private String unitNumber;
    @JSONField(name = "上报人")
    private String reportPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "甲方全称")
    private String firstParty;
    @JSONField(name = "乙方全称")
    private String secondParty;
    @JSONField(name = "项目名称")
    private String projectFullName;
    @JSONField(name = "项目内容概要")
    private String projectContent;
    @JSONField(name = "项目起日")
    private String projectStartTime;
    @JSONField(name = "项目止日")
    private String projectEndTime;
    @JSONField(name = "是否已签合同")
    private String isSign;
    @JSONField(name = "合同总额_元")
    private BigDecimal contractAmount;
    @JSONField(name = "本月收入_元")
    private BigDecimal incomeCurrentMonth;
    @JSONField(name = "本次收入凭证类型")
    private String proofType;
    @JSONField(name = "结算模式")
    private String clearingMode;
    @JSONField(name = "甲方负责人")
    private String firstPartyPrincipal;
    @JSONField(name = "乙方负责人")
    private String secondPartyPrincipal;
    @JSONField(name = "甲方确认凭证编号")
    private String firstPartyConfirmProofNumber;
    @JSONField(name = "需要说明的情况")
    private String explainInfo;
    @JSONField(name = "上传时间")
    private String uploadTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getYearAndMonth() {
        return yearAndMonth;
    }

    public void setYearAndMonth(String yearAndMonth) {
        this.yearAndMonth = yearAndMonth;
    }

    public String getUnitNumber() {
        return unitNumber;
    }

    public void setUnitNumber(String unitNumber) {
        this.unitNumber = unitNumber;
    }

    public String getReportPerson() {
        return reportPerson;
    }

    public void setReportPerson(String reportPerson) {
        this.reportPerson = reportPerson;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getFirstParty() {
        return firstParty;
    }

    public void setFirstParty(String firstParty) {
        this.firstParty = firstParty;
    }

    public String getSecondParty() {
        return secondParty;
    }

    public void setSecondParty(String secondParty) {
        this.secondParty = secondParty;
    }

    public String getProjectFullName() {
        return projectFullName;
    }

    public void setProjectFullName(String projectFullName) {
        this.projectFullName = projectFullName;
    }

    public String getProjectContent() {
        return projectContent;
    }

    public void setProjectContent(String projectContent) {
        this.projectContent = projectContent;
    }

    public String getProjectStartTime() {
        return projectStartTime;
    }

    public void setProjectStartTime(String projectStartTime) {
        this.projectStartTime = projectStartTime;
    }

    public String getProjectEndTime() {
        return projectEndTime;
    }

    public void setProjectEndTime(String projectEndTime) {
        this.projectEndTime = projectEndTime;
    }

    public String getIsSign() {
        return isSign;
    }

    public void setIsSign(String isSign) {
        this.isSign = isSign;
    }

    public BigDecimal getContractAmount() {
        return contractAmount;
    }

    public void setContractAmount(BigDecimal contractAmount) {
        this.contractAmount = contractAmount;
    }

    public BigDecimal getIncomeCurrentMonth() {
        return incomeCurrentMonth;
    }

    public void setIncomeCurrentMonth(BigDecimal incomeCurrentMonth) {
        this.incomeCurrentMonth = incomeCurrentMonth;
    }

    public String getProofType() {
        return proofType;
    }

    public void setProofType(String proofType) {
        this.proofType = proofType;
    }

    public String getClearingMode() {
        return clearingMode;
    }

    public void setClearingMode(String clearingMode) {
        this.clearingMode = clearingMode;
    }

    public String getFirstPartyPrincipal() {
        return firstPartyPrincipal;
    }

    public void setFirstPartyPrincipal(String firstPartyPrincipal) {
        this.firstPartyPrincipal = firstPartyPrincipal;
    }

    public String getSecondPartyPrincipal() {
        return secondPartyPrincipal;
    }

    public void setSecondPartyPrincipal(String secondPartyPrincipal) {
        this.secondPartyPrincipal = secondPartyPrincipal;
    }

    public String getFirstPartyConfirmProofNumber() {
        return firstPartyConfirmProofNumber;
    }

    public void setFirstPartyConfirmProofNumber(String firstPartyConfirmProofNumber) {
        this.firstPartyConfirmProofNumber = firstPartyConfirmProofNumber;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "Income{" +
                "id=" + id +
                ", yearAndMonth='" + yearAndMonth + '\'' +
                ", unitNumber='" + unitNumber + '\'' +
                ", reportPerson='" + reportPerson + '\'' +
                ", firstParty='" + firstParty + '\'' +
                ", secondParty='" + secondParty + '\'' +
                ", projectFullName='" + projectFullName + '\'' +
                ", projectContent='" + projectContent + '\'' +
                ", projectStartTime='" + projectStartTime + '\'' +
                ", projectEndTime='" + projectEndTime + '\'' +
                ", isSign='" + isSign + '\'' +
                ", contractAmount=" + contractAmount +
                ", incomeCurrentMonth=" + incomeCurrentMonth +
                ", proofType='" + proofType + '\'' +
                ", clearingMode='" + clearingMode + '\'' +
                ", firstPartyPrincipal='" + firstPartyPrincipal + '\'' +
                ", secondPartyPrincipal='" + secondPartyPrincipal + '\'' +
                ", firstPartyConfirmProofType='" + firstPartyConfirmProofNumber + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
